Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4618 closed defect (wontfix)

rtems-bsp-builder fails to parse riscv error message

Reported by: Ryan Long Owned by: Chris Johns
Priority: normal Milestone: 7.1
Component: tool Version: 7
Severity: normal Keywords: SoC, small, tools, ecosystem
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

Sample of output from bsp-builder:

   1 debug riscv/rv32iac build:
      configure: /home/tester/rtems-cron-6/rtems/waf configure\
      --prefix=/home/tester/rtems-cron-6/tools/6/bsps\
      --top=/home/tester/rtems-cron-6/rtems --rtems-config=config-riscv-\
      rv32iac-debug.ini
     error: ld/collect2:0 error: no error message found!


Possible Mentors: Chris Johns
Skills: Python, C
Difficulty: Medium
  2 profiling riscv/rv32iac build:
      configure: /home/tester/rtems-cron-6/rtems/waf configure\
      --prefix=/home/tester/rtems-cron-6/tools/6/bsps\
      --top=/home/tester/rtems-cron-6/rtems --rtems-config=config-riscv-\
      rv32iac-profiling.ini
     error: ld/collect2:0 error: no error message found!

This output is because the bsp-builder cannot parse the following error output from the build.

start.o: in function `.L0 ':
/home/tester/rtems-cron-6/rtems/bsps/riscv/shared/start/start.S:83:(.bsp_start_text+0x28): relocation truncated to fit: R_RISCV_GPREL_I against symbol `bsp_section_bss_size' defined in *ABS* section in /usr/home/tester/rtems-cron-6/rtems/build/riscv/rv32iac/testsuites/samples/minimum.exe
collect2: error: ld returned 1 exit status

Change History (3)

comment:1 Changed on 02/25/22 at 21:21:35 by Joel Sherrill

Description: modified (diff)
Owner: set to Chris Johns
Status: newassigned

comment:2 Changed on 11/29/22 at 22:46:57 by Chris Johns

Milestone: 6.17.1
Version: 67

comment:3 Changed on 11/29/22 at 22:48:45 by Chris Johns

Resolution: wontfix
Status: assignedclosed

There is no longer and error from the linker so this is not happening. Please reopen if it happens and it should be fixed.

Note: See TracTickets for help on using tickets.